Bug 73495 - fonts.cache-1 files not owned by any package
Summary: fonts.cache-1 files not owned by any package
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: fontconfig   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Carl Worth
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-05 14:42 UTC by Jonathan Kamens
Modified: 2007-04-18 16:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 22:57:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2002-09-05 14:42:20 UTC
After upgrading to the current Raw Hide XFree86, I've got a bunch of files
called "fonts.cache-1" in various directories.  I suspect that these are turds
that should have been removed when they were no longer needed by the install.

Comment 1 Mike A. Harris 2002-09-05 22:52:41 UTC
They're fc-cache cache files.

Comment 2 Jonathan Kamens 2002-09-06 05:26:57 UTC
Then the RPM should know about them.


Comment 3 Owen Taylor 2002-09-06 19:22:34 UTC
I think what we'll do eventually is move the cache files to /var

Comment 5 Owen Taylor 2002-09-06 23:37:34 UTC
Hmm, I think I forgot to chagne the onwer when I assigned to fontconfig...
could you roepen and reassign to me mharris?


Comment 6 Owen Taylor 2004-09-02 19:18:23 UTC
What we've been doing actually recently is marking the files %ghost
in the RPMS. fonts-arabic, fonts-hebrew, fonts-bengali, etc, all
have this right. So, if someone wants to file bugs agains tall
font packages that leave leftover fonts.conf-1, that would be
a useful task.

Comment 7 Mike A. Harris 2006-01-31 22:57:06 UTC
Just spotted this bug still open, and thought I'd update it with a comment
to reflect the current status of everything.

With modular X11R7, all of the modular font packages in X now own:

fonts.cache-[0-9]

Owen's comment seems to indicate that similar has been done to other font
packages in the OS, so this bug is safe to close now I believe.

If anyone finds other fonts.cache-* files unowned by anything, please
file a new report about it against the individual components that own
fonts within the directory the cache files are found in, and put a
hyperlink to this bug in the new report for reference to the font package
owner.

The xorg-x11-fonts src.rpm can be used for reference on how to best
ensure ownership.


Note You need to log in before you can comment on or make changes to this bug.